iis.net clr .NET Framework版本与CLR版本之间的关系 - IIS - 服务器之家

服务器之家

专注于服务器技术!
当前位置:首页 > Web服务器 > IIS

iis.net clr .NET Framework版本与CLR版本之间的关系

发布时间:2017-05-03 来源:服务器之家

个人觉得很有用的一篇文章,不知道那位大虾写的,描述的很清晰,转给大家分享。

 

.Net Framework 1.1 是VS2003的,与2.0不太兼容,1.1开发的程序,在移植到2.0环境时,需要做的改动较大。

 

.net framework 2.0,3.0与3.5之间的关系:

.net framework 2.0 = CLR 2.0 + FCL(framework class library)
.net framework 3.0 = .net framework 2.0 + SP1 + WPF + WCF + WF + CardSpace
.net framework 3.5 = .net framework 3.0 + SP2 + new compiler

这三个版本framework的CLR都是2.0,因此,你会发现的runtime还是只有1.1和2.0,像Linq这些新功能其实只是用新的编译器加上一些新的类库来实现的,3.5版本并没有对CLR做大的升级。

 

VS2008支持在2.0,3.0和3.5三种版本下开发项目,VS2005的项目可以平稳的升到VS2008上,在VS2008下做VS2005的项目,用的编译器和类库同VS2005都是一样的,但是提供了更好的开发环境。

3.5可以理解为2.0的插件或增强包,单独安装,在ASP.NEP环境中(IIS),还是只能看到2.0,而看不到3.5。

另外,如果机器上安装了VS2010,它支持.NET Framework 4.0。那么框架4.0对应的CLR版本是4.0。